package it.eng.spago.jbi.containerproviders;

import it.eng.spago.jbi.component.ServiceUnitManagerProvider;

import javax.jbi.component.ComponentContext;
import javax.jbi.management.DeploymentException;

import org.apache.servicemix.jbi.framework.ManagementSupport;

public class ServiceMixContainerProvider implements ServiceUnitManagerProvider {

	private ComponentContext mContext = null;

	public void init(ComponentContext compCtx) {
		mContext = compCtx;

	}

	public String deploy(String serviceUnitID, String serviceUnitRootPath)
			throws DeploymentException {
		try {
			ManagementSupport.Message msg = new ManagementSupport.Message();
			msg.setComponent(mContext.getComponentName());
			msg.setTask("deploy");
			msg.setResult("SUCCESS");
			return ManagementSupport.createComponentMessage(msg).toString();
		} catch (Exception e) {
			throw new DeploymentException(this.getClass().getName()
					+ ".deploy():" + e.getMessage());
		}
	}

}
